Bug 187025 - [gcj] Ignores -Werror
[gcj] Ignores -Werror
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Andrew Haley
Depends On:
Blocks: 173278
  Show dependency treegraph
Reported: 2006-03-27 23:44 EST by Andrew Cagney
Modified: 2008-05-06 11:40 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-06 11:40:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
Sourceware 2492 None None None Never

  None (edit)
Description Andrew Cagney 2006-03-27 23:44:13 EST
Description of problem:

-Werror doesn't work

Version-Release number of selected component (if applicable):

gcc 4.1.0 20060304

How reproducible:


Steps to Reproduce:
1.try to use -Werror with gcj
Actual results:

exits with success

Expected results:

exit with failure

Additional info:

$ gcj -Werror -Wall -c -o /dev/null
../../../frysk/frysk-imports/tests/werror/Werror.java:6: warning: An empty
declaration is a deprecated feature that should not be used.
   }; // This stray semi-colon attracts a warning.
1 warning
$ echo $?
Comment 1 Jakub Jelinek 2006-03-28 03:30:25 EST
From initial skimming it looks like it is only parse.y that doesn't honor
warnings_are_errors, because it does the diagnostics by hand.
Comment 5 Andrew Haley 2006-04-20 06:38:44 EDT
Index: gcc/java/parse.y
--- gcc/java/parse.y	(revision 113114)
+++ gcc/java/parse.y	(working copy)
@@ -3212,7 +3212,8 @@
   va_list ap;
   va_start (ap, gmsgid);
-  do_warning = 1;
+  if (!warnings_are_errors)
+    do_warning = 1;
   issue_warning_error_from_context (EXPR_LOCATION (cl), gmsgid, &ap);
Comment 6 Mark Wielaard 2007-03-08 13:42:48 EST
This seems to have never been pushed upstream and never been tested as a fix. In
Fedora rawhide parse.y doesn't exist anymore. But the above still doesn't work
because of bug #231020 which makes -Werror an invalid flag.
Comment 9 Andrew Cagney 2007-04-05 01:03:15 EDT
The bug is present in all pre Java 1.5 GCJ versions.  GCC4 on RHEL 4, and GCC on
RHEL 5 and FC-6 for instance.

You may want to clone this against those distro-s and push through fixes. 
Alternatively you could make Java 1.5 GCJ available there.
Comment 10 Bug Zapper 2008-04-03 22:18:54 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 11 Bug Zapper 2008-05-06 11:40:31 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.